Package com.google.android.exoplayer2.decoder

## Class DecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.decoder.DecoderException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `FfmpegDecoderException`, `FlacDecoderException`, `Gav1DecoderException`, `MediaCodecDecoderException`, `OpusDecoderException`, `SubtitleDecoderException`, `VpxDecoderException`

      public class DecoderException
      extends Exception

  Thrown when a `Decoder` error occurs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecoderException​(String message)` | Creates an instance.
    `DecoderException​(String message, Throwable cause)` | Creates an instance.
    `DecoderException​(Throwable cause)` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoderException

          public DecoderException​(String message)

      Creates an instance.
      Parameters:
        `message` - The detail message for this exception.

    - #### DecoderException

          public DecoderException​(@Nullable
                                  Throwable cause)

      Creates an instance.
      Parameters:
        `cause` - The cause of this exception, or `null`.

    - #### DecoderException

          public DecoderException​(String message,
                                  @Nullable
                                  Throwable cause)

      Creates an instance.
      Parameters:
        `message` - The detail message for this exception.
        `cause` - The cause of this exception, or `null`.